Page MenuHomeFreeBSD

bhyve: update the NVMe CQ based on the status
ClosedPublic

Authored by chuck on Jul 13 2019, 2:31 PM.

Details

Summary

Instead of skipping the NVMe Completion Queue update based on the
opcode, define a synthetic status value which indicates the completion
queue entry is invalid. This will also allow deferred completion queue
updates for other commands.

Also returns the correct status for unrecognized opcodes ("invalid
opcode").

This addresses concerns raised in D20914

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

chuck created this revision.Jul 13 2019, 2:31 PM
jhb accepted this revision.Jul 15 2019, 7:50 PM
This revision is now accepted and ready to land.Jul 15 2019, 7:50 PM
imp accepted this revision.Jul 15 2019, 7:55 PM

I am concerned no more! Awesome.

araujo accepted this revision.Jul 16 2019, 12:30 AM

Lgtm!

This revision was automatically updated to reflect the committed changes.